> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/da/powershell-kommandoer/new-uddrawer.md).

# New-UDDrawer

New-UDDrawer opretter et sammenklappeligt navigationspanel i PowerShell Universal, typisk parret med New-UDAppBar til navigation fra side til side.

### Synopsis

Opretter en ny skuffe.

### Syntaks

```powershell
New-UDDrawer [[-Id] <String>] [[-Children] <ScriptBlock>] [[-Variant] <String>] [[-Anchor] <String>] [[-ClassName] <String>] [-ShowCollapse] [<CommonParameters>]
```

### Beskrivelse

Opretter en ny skuffe. En skuffe er en navigationskomponent, der typisk bruges til at navigere mellem sider. Den kan bruges sammen med New-UDAppBar til at give en brugerdefineret navigationslinje.

### Parametre

#### -Id

Id for komponenten. Standardværdien er et tilfældigt GUID.

```
Required?                    false
Position?                    1
Default value                [Guid]::NewGuid()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Children

Navigationskontrolelementer, der skal vises i skuffen. Brug New-UDList og New-UDListItem til at generere links i skuffen.

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Variant

Typen af skuffen. Gyldige værdier omfatter "persistent", "permanent", "temporary"

```
Required?                    false
Position?                    3
Default value                temporary
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Anchor

Hvor skuffen skal forankres. Gyldige værdier omfatter "left", "right", "top", "bottom"

```
Required?                    false
Position?                    4
Default value                left
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ClassName

En CSS-klasse, der skal anvendes på skuffen.

```
Required?                    false
Position?                    5
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ShowCollapse

Vis sammenklapningsknappen

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Fælles parametre

Denne cmdlet understøtter de fælles parametre: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable og OutVariable. Se [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216) for at få flere oplysninger.

### Output

### Eksempler

#### Eksempel 1

```powershell
$Drawer = New-UDDrawer -Id 'drawer' -Children {
    New-UDList -Content {
        New-UDListItem -Id 'lstHome' -Label 'Home' -OnClick {
            Set-TestData 'Home'
            } -Content {
                New-UDListItem -Id 'lstNested' -Label 'Nested' -OnClick {
                Set-TestData 'Nested'
                }
            }
    }
}

New-UDElement -Tag 'main' -Content {
    New-UDAppBar -Children { New-UDTypography -Text 'Hello' -Paragraph } -Position relative -Drawer $Drawer
}
```

Opretter en brugerdefineret navigationslinje ved hjælp af New-UDDrawer

\[Component("Drawer", "WindowMaximize", "Opretter et nyt kort.")]


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/da/powershell-kommandoer/new-uddrawer.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
